// VideoCapParams.cpp : implementation file
//

#include "stdafx.h"
#include "VidCapPlus.h"
#include "VideoCapParams.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVideoCapParams dialog


CVideoCapParams::CVideoCapParams(CWnd* pParent /*=NULL*/)
	: CDialog(CVideoCapParams::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVideoCapParams)
	m_TimeLimit = FALSE;
	m_Audio = FALSE;
	m_CaptureTo = 0;
	//}}AFX_DATA_INIT
}


void CVideoCapParams::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVideoCapParams)
	DDX_Control(pDX, IDC_SPIN_Seconds, m_SpinSeconds);
	DDX_Control(pDX, IDC_SPIN_Frame, m_Frame);
	DDX_Check(pDX, IDC_CHECK_TimeLimit, m_TimeLimit);
	DDX_Check(pDX, IDC_CHECK_Audio, m_Audio);
	DDX_Radio(pDX, IDC_RADIO_ToDisk, m_CaptureTo);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CVideoCapParams, CDialog)
	//{{AFX_MSG_MAP(CVideoCapParams)
	ON_BN_CLICKED(IDC_CHECK_TimeLimit, OnCHECKTimeLimit)
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVideoCapParams message handlers

BOOL CVideoCapParams::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
    iFrames=15;
	iSeconds=30;
	m_Frame.SetRange(1,100);
	m_Frame.SetBase(10);
	m_Frame.SetPos(15);
	m_SpinSeconds.SetRange(1,100);
	m_SpinSeconds.SetBase(10);
	m_SpinSeconds.SetPos(30);
	if (m_TimeLimit==FALSE) GetDlgItem(IDC_EDIT_Seconds)->EnableWindow(FALSE);
	if (m_TimeLimit==FALSE) GetDlgItem(IDC_STATIC_Seconds)->EnableWindow(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CVideoCapParams::OnCHECKTimeLimit() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (m_TimeLimit==FALSE) GetDlgItem(IDC_EDIT_Seconds)->EnableWindow(FALSE);
	if (m_TimeLimit==FALSE) GetDlgItem(IDC_STATIC_Seconds)->EnableWindow(FALSE);
	if (m_TimeLimit==TRUE) GetDlgItem(IDC_EDIT_Seconds)->EnableWindow(TRUE);
	if (m_TimeLimit==TRUE) GetDlgItem(IDC_STATIC_Seconds)->EnableWindow(TRUE);
	if (m_TimeLimit==TRUE) GetDlgItem(IDC_SPIN_Seconds)->EnableWindow(TRUE);
}

void CVideoCapParams::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	
	CDialog::OnClose();
}

BOOL CVideoCapParams::DestroyWindow() 
{
	// TODO: Add your specialized code here and/or call the base class
	iSeconds=m_SpinSeconds.GetPos();
	iFrames=m_Frame.GetPos();
	return CDialog::DestroyWindow();
}
